<bugID>542327<Summary>History pane changes view when middle clicking links (regression from bug 498130)</Summary><Description>1. Go to History -&gt; Show All History
2. Click yesterday and middle click an entry.

Unexpected: A few seconds later it takes me back to "Today" with an updated history.

Expected: history pane stays on yesterday so I can click other links.</Description></bugID>